/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */
package ccl.swing;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import ccl.util.Exitable;

/**
 *    $Header: /home/clemens/src/java/ccl/src/ccl/swing/RCS/ExitJFrame.java,v 1.6 2002/05/20 12:09:23 clemens Exp clemens $
 */
public class ExitJFrame extends JFrame
                        implements WindowListener,
                                             Exitable
{
        public ExitJFrame() 
{
                super();
                addWindowListener(this);
        }

        public ExitJFrame(String sTitle_) 
{
                super(sTitle_);
                addWindowListener(this);
        }

        public boolean exit() 
{
                setVisible(false);
                /*dispose();*/

                return true;
        }

        public void windowActivated(WindowEvent event) 
{
        }

        public void windowClosed(WindowEvent event) 
{
        }

        public void windowClosing(WindowEvent event) 
{
                setExit();
        }

        public void windowDeactivated(WindowEvent event) 
{
        }

        public void windowDeiconified(WindowEvent event) 
{
        }

        public void windowIconified(WindowEvent event) 
{
        }

        public void windowOpened(WindowEvent event) 
{
        }

        public void setExit() 
{
                exit();
        }
}
