/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */
package ccl.swing;

import ccl.swing.CCLBorderWindow;
import ccl.swing.SwingUtil;
import ccl.util.Util;
import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.Image;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

/**
 * A splash screen.
 * 
 * @author  Chr. Clemens Lee
 * @version $Id: SplashWindow.java,v 1.4 2002/05/20 12:09:36 clemens Exp clemens $
 */
public class SplashWindow extends CCLBorderWindow 
{
    public SplashWindow( Frame frmParent_, String sImageFileName_ )
    {
        this( frmParent_, SwingUtil.loadImage( sImageFileName_ ) );
    }

    public SplashWindow( Frame frmParent_, Image pImage_ )
    {
        super( frmParent_ );

        ImageIcon pImageIcon = new ImageIcon( pImage_ );
        setLayout( new BorderLayout() );
        JLabel pLabel = new JLabel( pImageIcon );
        add( pLabel, BorderLayout.CENTER );
        Util.debug( this, "<init>(..).pImage_.width: " + pImage_.getWidth( pLabel ) );
        Util.debug( this, "<init>(..).pImage_.height: " + pImage_.getHeight( pLabel ) );
        setSize( pImage_.getWidth( pLabel ) + 5, 
                 pImage_.getHeight( pLabel ) + 5 );

        SwingUtil.centerComponent( this );
    }
}
