/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl java library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 2001
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.swing.test;

import ccl.swing.InputCancelDialog;
import ccl.swing.SwingUtil;
import ccl.util.Test;
import ccl.util.Util;
import java.awt.Frame;
import java.util.Vector;
import javax.swing.JFrame;

/**
 * Insert your test code into the _doIt() method and
 * test bugs with 'bugIf( boolean expression );' or
 * 'bugIf( boolean expression, "comment about what went wrong" );'.
 * Then just invoke the main routine.
 *
 * @version $Id: InputCancelDialogTest.java,v 1.4 2002/05/20 12:09:40 clemens Exp clemens $
 * @author  Chr. Clemens Lee
 */
public class InputCancelDialogTest extends Test 
{
    public InputCancelDialogTest() 
{
        super();
    }

    public InputCancelDialogTest( Test pTest_ ) 
{
        super( pTest_ );
    }

    /**
     * Insert your test code into the _doIt() method and
     * test bugs with 'bugIf( boolean expression );' or
     * 'bugIf( boolean expression, "comment about what went wrong" );'.
     * Then just invoke the main routine.
     *
     * @exception   Exception   if anything goes wrong.
     */
    protected void _doIt()
        throws Exception
    {
        JFrame frmBig = new JFrame( "test" );
        SwingUtil.maximizeWindow( frmBig );
        frmBig.show();
        Util.sleep( 2 );
        Vector vHistory = new Vector();
        vHistory.addElement( "line 1" );
        vHistory.addElement( "line 12" );
        vHistory.addElement( "line 13" );
        vHistory.addElement( "line 14" );
        vHistory.addElement( "line 15" );
        vHistory.addElement( "line 16" );
        vHistory.addElement( "line 17" );
        vHistory.addElement( "line 18" );
        vHistory.addElement( "line 19" );
        vHistory.addElement( "line 101" );
        vHistory.addElement( "line 181" );
        InputCancelDialog dialog = new InputCancelDialog( frmBig, "Test input", "test", vHistory );
        dialog.show();
        if ( dialog.isOK() ) 
{
            Util.println( dialog.getValue() );
        }
        dialog = new InputCancelDialog( frmBig, "Test input", "test 2" );
        dialog.show();
        if ( dialog.isOK() ) 
{
            Util.println( dialog.getValue() );
        }
        Util.println( InputCancelDialog.input( frmBig, "Test 3: ", "", vHistory ) );
        Util.println( InputCancelDialog.input( frmBig, "Test 3: ", "", vHistory ) );
    }

    public static void main( String[] asArg_ ) 
{
        Test pTest = (Test)(new InputCancelDialogTest());
        pTest.setVerbose( true );
        pTest.run();
        pTest.printResult( pTest );

        System.exit( 0 );
    }
}
