/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl java library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 2001
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.test;

import ccl.Main;
import ccl.platform.test.NativeTest;
import ccl.servlet.test.XMLImportHandlerTest;
import ccl.swing.test.DateFieldTest;
import ccl.swing.test.DoubleListTest;
import ccl.swing.test.SwingUtilTest;
import ccl.util.Init;
import ccl.util.Test;
import ccl.util.test.UtilTest;
import ccl.xml.test.XMLUtilTest;

/**
 * Insert your test code into the _doIt method and
 * test bugs with 'bugIf( boolean expression );' or
 * 'bugIf( boolean expression, "comment about what went wrong" );'.
 * Then just invoke the main routine.
 *
 * @version $Id: MainTest.java,v 1.11 2002/05/20 12:09:41 clemens Exp clemens $
 * @author  Chr. Clemens Lee
 */
public class MainTest extends Test 
{
    private Init _init = null;

    public MainTest() 
{
        super();
    }

    public MainTest( Test pTest_ ) 
{
        super( pTest_ );
    }

    /**
     * Insert your test code into the _doIt() method and
     * test bugs with 'bugIf( boolean expression );' or
     * 'bugIf( boolean expression, "comment about what went wrong" );'.
     * Then just invoke the main routine.
     *
     * @exception   Exception   Whatever can go wrong.
     */
    protected void _doIt() 
        throws Exception
    {
        Test pTest = null;

        pTest = new NativeTest( this );
        pTest.run();
        setTests( pTest );

        pTest = (Test)(new UtilTest( this ));
        ((UtilTest)pTest).setInit( _init );
        pTest.run();
        setTests( pTest );

        pTest = new XMLUtilTest( this );
        pTest.run();
        setTests( pTest );

        pTest = new XMLImportHandlerTest( this );
        pTest.run();
        setTests( pTest );

        pTest = new SwingUtilTest( this );
        pTest.run();
        setTests( pTest );
    }

    /**
     * The InitTest uses the ccl init object itself which is
     * set by this method from the ccl main class.
     */
    public void setInit( Init init_ ) 
{
        _init = init_;
    }

    /**
     * You can start this test class directly with this
     * method.
     */
    public static void main( String[] asArg_ ) 
{
        Test pTest = (Test)(new MainTest());
        pTest.setVerbose( true );
        pTest.run();
        pTest.printResult( pTest );

        System.exit( 0 );
    }
}
