/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util;

/**
 * This interface is just the default place
 * for general documentation for the ccl.util package.
 * 
 * <p>The ccl.util package contains the most generic
 * features that are reusable (like String functions)
 * and does not rely on any other external package,
 * except some jdk packages. But also out of
 * the jdk packages, it has no dependency
 * on the awt or swing classes.
 * 
 * <p>There is a group of interfaces each containing just a
 * single method:
 * <ul>
 * <li><a href="ccl.util.Comparable.html">Comparable</a></li>
 * <li><a href="ccl.util.Exitable.html">Exitable</a></li>
 * <li><a href="ccl.util.Testable.html">Testable</a></li>
 * <li><a href="ccl.util.Transformable.html">Transformable</a></li>
 * </ul>
 *
 * @version $Id: \044ccl_util.java,v 1.3 2002/05/12 07:36:30 clemens Exp clemens $
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 */
public interface $ccl_util 
{
}
