/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util;

/**
 * This exception just extends RuntimeException and is primarily
 * used by Util.panicIf(boolean).
 *
 * @version  $Id: ApplicationException.java 1.10 2002/05/12 07:36:32 clemens Exp clemens $
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 *
 * @see Util#panicIf
 */
public class ApplicationException extends RuntimeException 
{
    /**
     * Constructs an ApplicationException with no specified
     * detail message. 
     */
    public ApplicationException() 
    {
        super();
    }
    
    /**
     * Constructs an ApplicationException.
     *
     * @param    sMessage_   to print a message describing what
     *                       caused the exception.
     */
    public ApplicationException( String sMessage_ ) 
    {
        super( sMessage_ );
    }
}
