/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util;

/**
 * Constant pool.
 * Specifies EAST, WEST, CENTER etc.
 * 
 * @version  $Id: Direction.java,v 1.3 2002/05/12 07:36:34 clemens Exp clemens $
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 */
public class Direction extends Enum 
{
    /** @see   java.awt.GridBagConstraints */
    public static final Direction WEST = new Direction( "WEST" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction EAST = new Direction( "EAST" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction NORT = new Direction( "NORTH" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction SOUTH = new Direction( "SOUTH" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction CENTER = new Direction( "CENTER" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction NORTHEAST = new Direction( "NORTHEAST" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction NORTHWEST = new Direction( "NORTHWEST" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction SOUTHEAST = new Direction( "SOUTHEAST" );
    /** @see   java.awt.GridBagConstraints */
    public static final Direction SOUTHWEST = new Direction( "SOUTHWEST" );

    protected Direction( String sName_ ) 
    {
        super( sName_ );
    }
}
