/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util;

/**
 * Convenience wrapper for file objects.
 *
 * @version $Id: FileObject.java,v 1.7 2002/05/12 07:36:37 clemens Exp clemens $
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 */
public class FileObject 
{
    private String _sName = "";
    private String _sPath = "";
    private String _sSuffix = "";
    
    public FileObject(String sFullName_) 
    {
        super();
        String sFileClone = sFullName_;
        sFileClone = sFileClone.replace('\\', '/');
        
        int indexPoint = sFileClone.lastIndexOf('.');
        int indexSlash = sFileClone.lastIndexOf('/');
        Util.panicIf(indexSlash == -1 ||
                     (indexPoint != -1 && indexPoint <= indexSlash),
                     "FileObject.<init>(..).sFileClone: " + sFileClone);
        /*Util.panicIf(indexSlash == -1 || indexPoint == -1 ||
          indexPoint <= indexSlash,
          "FileObject.<init>(..).sFileClone: " + sFileClone);*/
        if ( indexPoint == -1 )
        {
            _sSuffix = "";
            _sName = sFileClone.substring( indexSlash + 1 );
        }
        else
        {
            _sSuffix = sFileClone.substring(indexPoint, sFileClone.length());
            _sName = sFileClone.substring(indexSlash + 1, indexPoint);
        }
        _sPath = sFileClone.substring(0, indexSlash + 1);
    }
    
    public String getName() 
    {
        return _sName;
    }
    
    public String getFileFullName() 
    {
        return _sPath + _sName + _sSuffix;
    }

    public String toString() 
    {
        return getFileFullName();
    }
}
