/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util.test;

import ccl.util.ClassPathUtil;
import ccl.util.FileUtil;
import ccl.util.Test;

/**
 * Tests for class ccl.jcf.JCFUtil.
 *
 * @version $Id: ClassPathUtilTest.java,v 1.2 2002/05/20 12:09:54 clemens Exp clemens $
 * @author  Chr. Clemens Lee
 */
public class ClassPathUtilTest extends Test 
{
    private void _checkGetApplicationHome() 
{
        //Util.setDebug( true );
        String sApplicationHome = ClassPathUtil.getApplicationHome( this );
        bugIf( sApplicationHome == null );
        assert( FileUtil.existsDir( FileUtil.concatPath( sApplicationHome, "lib" ) )
                , "sApplicationHome: " + sApplicationHome );
    }

    /**
     * Default constructor.
     */
    public ClassPathUtilTest() 
{
        super();
    }

    /**
     * Default constructor invoked by test
     * framework.
     */
    public ClassPathUtilTest( Test pTest_ ) 
{
        super( pTest_ );
    }

    /**
     * Main test routine invoked by test framework.
     *
     * @exception   Exception   if anything goes wrong the test fails as well.
     */
    protected void _doIt()
        throws Exception
    {
        _checkGetApplicationHome();
    }

    /**
     * Main method you can use to invoke the
     * tests in this class alone.
     */
    public static void main( String[] asArg_ ) 
    {
        Test pTest = (Test) (new ClassPathUtilTest());
        pTest.setVerbose( true );
        pTest.run();
        pTest.printResult( pTest );

        System.exit( 0 );
    }
}
