/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 1999
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.util.test;

import ccl.util.Singleton;
import ccl.util.Test;

/**
 * Minimal test of ccl.util.Singleton.
 * 
 * @version $Id: SingletonTest.java,v 1.3 2002/05/20 12:09:58 clemens Exp clemens $
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 */
public class SingletonTest extends Test 
{
    public SingletonTest() 
    {
        super();
    }
    
    public SingletonTest(Test pTest_) 
    {
        super(pTest_);
    }
    
    /**
     * Insert your test code into the _doIt() method and
     * test bugs with 'bugIf(boolean expression);' or
     * 'bugIf(boolean expression, "comment about what went wrong");'.
     * Then just run the main routine.
     */
    protected void _doIt() 
    {
        Object oInstance = Singleton.getInstance();
        bugIf( oInstance == null );
        Object oAnotherInstance = Singleton.getInstance();
        bugIf( oInstance != oAnotherInstance );
    }

    public static void main(String[] asArg_) 
    {
        Test pTest = (Test) (new SingletonTest());
        pTest.printResult(pTest);
        System.exit(0);
    }
}
