/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is the reusable ccl java library
 * (http://www.kclee.com/clemens/java/ccl/).
 *
 * The Initial Developer of the Original Code is Chr. Clemens Lee.
 * Portions created by Chr. Clemens Lee are Copyright (C) 2001
 * Chr. Clemens Lee. All Rights Reserved.
 *
 * Contributor(s): Chr. Clemens Lee <clemens@kclee.com>
 */

package ccl.xml.test;

import ccl.util.Test;
import ccl.util.Util;
import ccl.xml.XMLUtil;

/**
 * This class tests some of the features the ccl.xml.XMLUtil
 * class offers.
 *
 * @version $Id: XMLUtilTest.java,v 1.3 2002/05/20 12:10:02 clemens Exp clemens $
 * @author  Chr. Clemens Lee
 */
public class XMLUtilTest extends Test 
{
    /**
     * Default empty constructor.
     */
    public XMLUtilTest() 
{
        super();
    }

    /**
     * Default standard constructor.
     */
    public XMLUtilTest( Test pTest_ ) 
{
        super( pTest_ );
    }

    /**
     * Insert your test code into the _doIt() method and
     * test bugs with 'bugIf( boolean expression );' or
     * 'bugIf( boolean expression, "comment about what went wrong" );'.
     * Then just invoke the main routine.
     *
     * @exception   Exception   if anything goes wrong the test fails as well.
     */
    protected void _doIt()
        throws Exception
    {
        String sXML = "<boo>\n  <foo>\n    <flop>blah</flop>\n  </foo>\n</boo>\n";
        try
        {
            String sResult = XMLUtil.getValueOf( sXML, "/boo/foo/flop" );
            assert( sResult.equals( "blah" ) );
        }
        catch( NoClassDefFoundError classError )
        {
            Util.print( " No Xalan XSLT parser found, skipping test! " );
        }
    }

    /**
     * This is the static main method which can be used if
     * this test class should be executed stand alone.
     */
    public static void main( String[] asArg_ ) 
{
        Test pTest = (Test)(new XMLUtilTest());
        pTest.setVerbose( true );
        pTest.run();
        pTest.printResult( pTest );

        System.exit( 0 );
    }
}
